/* myname.c */
extern /*@null@*//*@only@*/struct passwd *get_my_pwent (void);
-/* pam_pass_non_interractive.c */
+/* pam_pass_non_interactive.c */
#ifdef USE_PAM
-extern int do_pam_passwd_non_interractive (const char *pam_service,
+extern int do_pam_passwd_non_interactive (const char *pam_service,
const char *username,
const char* password);
#endif /* USE_PAM */
myname.c \
obscure.c \
pam_pass.c \
- pam_pass_non_interractive.c \
+ pam_pass_non_interactive.c \
pwd2spwd.c \
pwdcheck.c \
pwd_init.c \
*
* Return 0 on success, 1 on failure.
*/
-int do_pam_passwd_non_interractive (const char *pam_service,
+int do_pam_passwd_non_interactive (const char *pam_service,
const char *username,
const char* password)
{
#ifdef USE_PAM
if (use_pam){
- if (do_pam_passwd_non_interractive ("chpasswd", name, newpwd) != 0) {
+ if (do_pam_passwd_non_interactive ("chpasswd", name, newpwd) != 0) {
fprintf (stderr,
_("%s: (line %d, user %s) password not changed\n"),
Prog, line, name);
unsigned int i;
/* Now update the passwords using PAM */
for (i = 0; i < nusers; i++) {
- if (do_pam_passwd_non_interractive ("newusers", usernames[i], passwords[i]) != 0) {
+ if (do_pam_passwd_non_interactive ("newusers", usernames[i], passwords[i]) != 0) {
fprintf (stderr,
_("%s: (line %d, user %s) password not changed\n"),
Prog, lines[i], usernames[i]);
ent=$(getent shadow myuser7)
[ "$ent" = 'myuser7:$1$yQnIAZWV$gDAMB2IkqaONgrQiRdo4y.:21975:11:12:4:10:3614:' ] || exit 1
-echo "interractive test"
+echo "interactive test"
./run1.exp
ent=$(getent shadow myuser7)
[ "$ent" = 'myuser7:$1$yQnIAZWV$gDAMB2IkqaONgrQiRdo4y.:12990:13:14:9:35:15548:' ] || exit 1
-echo "interractive test (default)"
+echo "interactive test (default)"
./run2.exp
ent=$(getent shadow myuser7)
[ "$ent" = 'myuser7:$1$yQnIAZWV$gDAMB2IkqaONgrQiRdo4y.:12990:13:14:9:35:15548:' ] || exit 1
cp data/$i /etc
done
-echo "interractive test"
+echo "interactive test"
./run.exp $(date "+%Y-%m-%d")
echo "OK"
change_config
-echo -n "chage interractive session as myuser1..."
+echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"
change_config
-echo -n "chage interractive session as myuser1..."
+echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"
change_config
-echo -n "chage interractive session as myuser1..."
+echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"
change_config
-echo -n "chage interractive session as myuser1..."
+echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"
change_config
-echo -n "chage interractive session as myuser1..."
+echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"
change_config
-echo -n "chage interractive session as myuser1..."
+echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"
change_config
-echo -n "chage interractive session as myuser1..."
+echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"
change_config
-echo -n "chage interractive session as myuser1..."
+echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"
. ../../common/config.sh
. ../../common/log.sh
-log_start "$0" "chage interractive session checks field validity"
+log_start "$0" "chage interactive session checks field validity"
save_config
change_config
-echo -n "chage interractive session as myuser1..."
+echo -n "chage interactive session as myuser1..."
./run.exp
echo "OK"
--- /dev/null
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)
+
+. ../../common/config.sh
+. ../../common/log.sh
+
+log_start "$0" "chage interactive session checks field validity"
+
+save_config
+
+# restore the files on exit
+trap 'log_status "$0" "FAILURE"; restore_config' 0
+
+change_config
+
+echo -n "chage interactive session as myuser1..."
+./run.exp
+echo "OK"
+
+echo -n "Check the passwd file..."
+../../common/compare_file.pl config/etc/passwd /etc/passwd
+echo "OK"
+echo -n "Check the group file..."
+../../common/compare_file.pl config/etc/group /etc/group
+echo "OK"
+echo -n "Check the shadow file..."
+../../common/compare_file.pl config/etc/shadow /etc/shadow
+echo "OK"
+echo -n "Check the gshadow file..."
+../../common/compare_file.pl config/etc/gshadow /etc/gshadow
+echo "OK"
+
+log_status "$0" "SUCCESS"
+restore_config
+trap '' 0
+
+++ /dev/null
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../common/config.sh
-. ../../common/log.sh
-
-log_start "$0" "chage interractive session checks field validity"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; restore_config' 0
-
-change_config
-
-echo -n "chage interractive session as myuser1..."
-./run.exp
-echo "OK"
-
-echo -n "Check the passwd file..."
-../../common/compare_file.pl config/etc/passwd /etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../common/compare_file.pl config/etc/group /etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../common/compare_file.pl config/etc/shadow /etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-echo "OK"
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-
--- /dev/null
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)
+
+. ../../common/config.sh
+. ../../common/log.sh
+
+log_start "$0" "chage creates a shadow entry if there were none"
+
+save_config
+
+# restore the files on exit
+trap 'log_status "$0" "FAILURE"; restore_config' 0
+
+change_config
+
+echo -n "chage interactive session as myuser1..."
+./run.exp
+echo "OK"
+
+echo -n "Check the passwd file..."
+../../common/compare_file.pl config/etc/passwd /etc/passwd
+echo "OK"
+echo -n "Check the group file..."
+../../common/compare_file.pl config/etc/group /etc/group
+echo "OK"
+echo -n "Check the shadow file..."
+../../common/compare_file.pl data/shadow /etc/shadow
+echo "OK"
+echo -n "Check the gshadow file..."
+../../common/compare_file.pl config/etc/gshadow /etc/gshadow
+echo "OK"
+
+log_status "$0" "SUCCESS"
+restore_config
+trap '' 0
+
+++ /dev/null
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../common/config.sh
-. ../../common/log.sh
-
-log_start "$0" "chage creates a shadow entry if there were none"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; restore_config' 0
-
-change_config
-
-echo -n "chage interractive session as myuser1..."
-./run.exp
-echo "OK"
-
-echo -n "Check the passwd file..."
-../../common/compare_file.pl config/etc/passwd /etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../common/compare_file.pl config/etc/group /etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../common/compare_file.pl data/shadow /etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-echo "OK"
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-
--- /dev/null
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)
+
+. ../../common/config.sh
+. ../../common/log.sh
+
+log_start "$0" "chage interactive session checks field validity"
+
+save_config
+
+# restore the files on exit
+trap 'log_status "$0" "FAILURE"; restore_config' 0
+
+change_config
+
+echo -n "chage interactive session as myuser1..."
+./run.exp
+echo "OK"
+
+echo -n "Check the passwd file..."
+../../common/compare_file.pl config/etc/passwd /etc/passwd
+echo "OK"
+echo -n "Check the group file..."
+../../common/compare_file.pl config/etc/group /etc/group
+echo "OK"
+echo -n "Check the shadow file..."
+../../common/compare_file.pl config/etc/shadow /etc/shadow
+echo "OK"
+echo -n "Check the gshadow file..."
+../../common/compare_file.pl config/etc/gshadow /etc/gshadow
+echo "OK"
+
+log_status "$0" "SUCCESS"
+restore_config
+trap '' 0
+
+++ /dev/null
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../common/config.sh
-. ../../common/log.sh
-
-log_start "$0" "chage interractive session checks field validity"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; restore_config' 0
-
-change_config
-
-echo -n "chage interractive session as myuser1..."
-./run.exp
-echo "OK"
-
-echo -n "Check the passwd file..."
-../../common/compare_file.pl config/etc/passwd /etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../common/compare_file.pl config/etc/group /etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../common/compare_file.pl config/etc/shadow /etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-echo "OK"
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-
--- /dev/null
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)
+
+. ../../common/config.sh
+. ../../common/log.sh
+
+log_start "$0" "chage interactive session checks field validity"
+
+save_config
+
+# restore the files on exit
+trap 'log_status "$0" "FAILURE"; restore_config' 0
+
+change_config
+
+echo -n "chage interactive session as myuser1..."
+./run.exp
+echo "OK"
+
+echo -n "Check the passwd file..."
+../../common/compare_file.pl config/etc/passwd /etc/passwd
+echo "OK"
+echo -n "Check the group file..."
+../../common/compare_file.pl config/etc/group /etc/group
+echo "OK"
+echo -n "Check the shadow file..."
+../../common/compare_file.pl config/etc/shadow /etc/shadow
+echo "OK"
+echo -n "Check the gshadow file..."
+../../common/compare_file.pl config/etc/gshadow /etc/gshadow
+echo "OK"
+
+log_status "$0" "SUCCESS"
+restore_config
+trap '' 0
+
+++ /dev/null
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../common/config.sh
-. ../../common/log.sh
-
-log_start "$0" "chage interractive session checks field validity"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; restore_config' 0
-
-change_config
-
-echo -n "chage interractive session as myuser1..."
-./run.exp
-echo "OK"
-
-echo -n "Check the passwd file..."
-../../common/compare_file.pl config/etc/passwd /etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../common/compare_file.pl config/etc/group /etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../common/compare_file.pl config/etc/shadow /etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-echo "OK"
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-
--- /dev/null
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)
+
+. ../../common/config.sh
+. ../../common/log.sh
+
+log_start "$0" "chage creates a shadow entry if there were none"
+
+save_config
+
+# restore the files on exit
+trap 'log_status "$0" "FAILURE"; restore_config' 0
+
+change_config
+
+echo -n "chage interactive session as myuser1..."
+./run.exp
+echo "OK"
+
+echo -n "Check the passwd file..."
+../../common/compare_file.pl config/etc/passwd /etc/passwd
+echo "OK"
+echo -n "Check the group file..."
+../../common/compare_file.pl config/etc/group /etc/group
+echo "OK"
+echo -n "Check the shadow file..."
+../../common/compare_file.pl data/shadow /etc/shadow
+echo "OK"
+echo -n "Check the gshadow file..."
+../../common/compare_file.pl config/etc/gshadow /etc/gshadow
+echo "OK"
+
+log_status "$0" "SUCCESS"
+restore_config
+trap '' 0
+
+++ /dev/null
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../common/config.sh
-. ../../common/log.sh
-
-log_start "$0" "chage creates a shadow entry if there were none"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; restore_config' 0
-
-change_config
-
-echo -n "chage interractive session as myuser1..."
-./run.exp
-echo "OK"
-
-echo -n "Check the passwd file..."
-../../common/compare_file.pl config/etc/passwd /etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../common/compare_file.pl config/etc/group /etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../common/compare_file.pl data/shadow /etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-echo "OK"
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-
--- /dev/null
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)
+
+. ../../common/config.sh
+. ../../common/log.sh
+
+log_start "$0" "chage creates a shadow entry if there were none"
+
+save_config
+
+# restore the files on exit
+trap 'log_status "$0" "FAILURE"; restore_config' 0
+
+change_config
+
+echo -n "chage interactive session as myuser1..."
+./run.exp
+echo "OK"
+
+echo -n "Check the passwd file..."
+../../common/compare_file.pl config/etc/passwd /etc/passwd
+echo "OK"
+echo -n "Check the group file..."
+../../common/compare_file.pl config/etc/group /etc/group
+echo "OK"
+echo -n "Check the shadow file..."
+../../common/compare_file.pl data/shadow /etc/shadow
+echo "OK"
+echo -n "Check the gshadow file..."
+../../common/compare_file.pl config/etc/gshadow /etc/gshadow
+echo "OK"
+
+log_status "$0" "SUCCESS"
+restore_config
+trap '' 0
+
+++ /dev/null
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../common/config.sh
-. ../../common/log.sh
-
-log_start "$0" "chage creates a shadow entry if there were none"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; restore_config' 0
-
-change_config
-
-echo -n "chage interractive session as myuser1..."
-./run.exp
-echo "OK"
-
-echo -n "Check the passwd file..."
-../../common/compare_file.pl config/etc/passwd /etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../common/compare_file.pl config/etc/group /etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../common/compare_file.pl data/shadow /etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-echo "OK"
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-
run_test ./chage/22_chage_myuser-l/chage.test
run_test ./chage/23_chage_myuser-I/chage.test
run_test ./chage/24_chage_myuser-l_other/chage.test
-run_test ./chage/25_chage_interractive/chage.test
-run_test ./chage/26_chage_interractive_date_0/chage.test
-run_test ./chage/27_chage_interractive_date_-1/chage.test
-run_test ./chage/28_chage_interractive_date_EPOCH/chage.test
-run_test ./chage/29_chage_interractive_date_pre-EPOCH/chage.test
-run_test ./chage/30_chage_interractive_date_pre-EPOCH2/chage.test
-run_test ./chage/31_chage_interractive_date_invalid/chage.test
-run_test ./chage/32_chage_interractive_date_invalid2/chage.test
-run_test ./chage/33_chage_interractive-W_invalid1/chage.test
-run_test ./chage/34_chage_interractive-W_invalid2/chage.test
-run_test ./chage/35_chage_interractive-W-1/chage.test
-run_test ./chage/36_chage_interractive-I_invalid1/chage.test
-run_test ./chage/37_chage_interractive-I_invalid2/chage.test
-run_test ./chage/38_chage_interractive-I-1/chage.test
-run_test ./chage/39_chage_interractive-d-1/chage.test
+run_test ./chage/25_chage_interactive/chage.test
+run_test ./chage/26_chage_interactive_date_0/chage.test
+run_test ./chage/27_chage_interactive_date_-1/chage.test
+run_test ./chage/28_chage_interactive_date_EPOCH/chage.test
+run_test ./chage/29_chage_interactive_date_pre-EPOCH/chage.test
+run_test ./chage/30_chage_interactive_date_pre-EPOCH2/chage.test
+run_test ./chage/31_chage_interactive_date_invalid/chage.test
+run_test ./chage/32_chage_interactive_date_invalid2/chage.test
+run_test ./chage/33_chage_interactive-W_invalid1/chage.test
+run_test ./chage/34_chage_interactive-W_invalid2/chage.test
+run_test ./chage/35_chage_interactive-W-1/chage.test
+run_test ./chage/36_chage_interactive-I_invalid1/chage.test
+run_test ./chage/37_chage_interactive-I_invalid2/chage.test
+run_test ./chage/38_chage_interactive-I-1/chage.test
+run_test ./chage/39_chage_interactive-d-1/chage.test
run_test ./chsh/01/run
run_test ./chsh/02_chsh_usage/chsh.test
run_test ./chsh/03_chsh_usage_invalid_option/chsh.test
run_test ./chage/22_chage_myuser-l/chage.test
run_test ./chage/23_chage_myuser-I/chage.test
run_test ./chage/24_chage_myuser-l_other/chage.test
-run_test ./chage/25_chage_interractive/chage.test
-run_test ./chage/26_chage_interractive_date_0/chage.test
-run_test ./chage/27_chage_interractive_date_-1/chage.test
-run_test ./chage/28_chage_interractive_date_EPOCH/chage.test
-run_test ./chage/29_chage_interractive_date_pre-EPOCH/chage.test
-run_test ./chage/30_chage_interractive_date_pre-EPOCH2/chage.test
-run_test ./chage/31_chage_interractive_date_invalid/chage.test
-run_test ./chage/32_chage_interractive_date_invalid2/chage.test
-run_test ./chage/33_chage_interractive-W_invalid1/chage.test
-run_test ./chage/34_chage_interractive-W_invalid2/chage.test
-run_test ./chage/35_chage_interractive-W-1/chage.test
-run_test ./chage/36_chage_interractive-I_invalid1/chage.test
-run_test ./chage/37_chage_interractive-I_invalid2/chage.test
-run_test ./chage/38_chage_interractive-I-1/chage.test
-run_test ./chage/39_chage_interractive-d-1/chage.test
+run_test ./chage/25_chage_interactive/chage.test
+run_test ./chage/26_chage_interactive_date_0/chage.test
+run_test ./chage/27_chage_interactive_date_-1/chage.test
+run_test ./chage/28_chage_interactive_date_EPOCH/chage.test
+run_test ./chage/29_chage_interactive_date_pre-EPOCH/chage.test
+run_test ./chage/30_chage_interactive_date_pre-EPOCH2/chage.test
+run_test ./chage/31_chage_interactive_date_invalid/chage.test
+run_test ./chage/32_chage_interactive_date_invalid2/chage.test
+run_test ./chage/33_chage_interactive-W_invalid1/chage.test
+run_test ./chage/34_chage_interactive-W_invalid2/chage.test
+run_test ./chage/35_chage_interactive-W-1/chage.test
+run_test ./chage/36_chage_interactive-I_invalid1/chage.test
+run_test ./chage/37_chage_interactive-I_invalid2/chage.test
+run_test ./chage/38_chage_interactive-I-1/chage.test
+run_test ./chage/39_chage_interactive-d-1/chage.test
run_test ./chsh/01/run
run_test ./chsh/02_chsh_usage/chsh.test
run_test ./chsh/03_chsh_usage_invalid_option/chsh.test